#!/usr/bin/env python
# Ubuntu CI Engine
# Copyright 2014 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import os
import setuptools


# ensure find_packages works if our current directory isn't this project
here = os.path.abspath(os.path.dirname(__file__))
os.chdir(here)


import tstrun


setuptools.setup(
    name='test-runner',
    version=tstrun.__version__,
    description='Test Runner component of the Ubuntu CI Engine',
    author='Canonical CI Engineering Team',
    license='AGPL',
    packages=setuptools.find_packages(here),
    test_suite='tstrun.tests',
    install_requires=[
        'WebTest==2.0.10',
        'restish==0.12.1',
        ],
)
