# Ubuntu CI Engine
# Copyright 2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import logging
from restish import (
    http,
    resource,
)

from ci_utils import (
    restish_utils,
)


log = logging.getLogger(__name__)

def _test_image(test_request_id, image_url, package_name):
    return http.ok([('Content-Type', 'application/json')], '')


class API(resource.Resource):

    @resource.child()
    def test_image(self, request, segments):
        # FIXME: Find how to redirect log, it pollutes test output and
        # redirecting stdout/stderr in the tests is overkill -- vila 2014-01-07
#        log.debug('[test_image]: %s %s', request.url, str(segments))
        return restish_utils.http_post_resource(_test_image)
